Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/ExampleTests.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/ExampleTests.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/ExampleTests.cs	(revision 14908)
@@ -12,12 +12,12 @@
     [TestCategory("ExampleTest")]
     public void Example1() {
-      this.interpreter.Run("( 2 3 INTEGER.* 4.1 5.2 FLOAT.+ TRUE FALSE BOOLEAN.OR )");
-
-      Assert.AreEqual(6, this.interpreter.IntegerStack.Top);
-      Assert.AreEqual(9.3, this.interpreter.FloatStack.Top);
-      Assert.IsTrue(this.interpreter.BooleanStack.Top);
-      Assert.IsTrue(this.interpreter.CodeStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.ExecStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.NameStack.IsEmpty);
+      interpreter.Run("( 2 3 INTEGER.* 4.1 5.2 FLOAT.+ TRUE FALSE BOOLEAN.OR )");
+
+      Assert.AreEqual(6, interpreter.IntegerStack.Top);
+      Assert.AreEqual(9.3, interpreter.FloatStack.Top);
+      Assert.IsTrue(interpreter.BooleanStack.Top);
+      Assert.IsTrue(interpreter.CodeStack.IsEmpty);
+      Assert.IsTrue(interpreter.ExecStack.IsEmpty);
+      Assert.IsTrue(interpreter.NameStack.IsEmpty);
     }
 
@@ -26,12 +26,12 @@
     [TestCategory("ExampleTest")]
     public void Example2() {
-      this.interpreter.Run("( 5 1.23 INTEGER.+ ( 4 ) INTEGER.- 5.67 FLOAT.* )");
-
-      Assert.AreEqual(1, this.interpreter.IntegerStack.Top);
-      Assert.AreEqual(6.9741, this.interpreter.FloatStack.Top);
-      Assert.IsTrue(this.interpreter.CodeStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.BooleanStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.ExecStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.NameStack.IsEmpty);
+      interpreter.Run("( 5 1.23 INTEGER.+ ( 4 ) INTEGER.- 5.67 FLOAT.* )");
+
+      Assert.AreEqual(1, interpreter.IntegerStack.Top);
+      Assert.AreEqual(6.9741, interpreter.FloatStack.Top);
+      Assert.IsTrue(interpreter.CodeStack.IsEmpty);
+      Assert.IsTrue(interpreter.BooleanStack.IsEmpty);
+      Assert.IsTrue(interpreter.ExecStack.IsEmpty);
+      Assert.IsTrue(interpreter.NameStack.IsEmpty);
     }
 
@@ -40,12 +40,12 @@
     [TestCategory("ExampleTest")]
     public void Example3() {
-      this.interpreter.Run("( 5 INTEGER.DUP INTEGER.+ )");
-
-      Assert.AreEqual(10, this.interpreter.IntegerStack.Top);
-      Assert.IsTrue(this.interpreter.CodeStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.ExecStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.NameStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.BooleanStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.FloatStack.IsEmpty);
+      interpreter.Run("( 5 INTEGER.DUP INTEGER.+ )");
+
+      Assert.AreEqual(10, interpreter.IntegerStack.Top);
+      Assert.IsTrue(interpreter.CodeStack.IsEmpty);
+      Assert.IsTrue(interpreter.ExecStack.IsEmpty);
+      Assert.IsTrue(interpreter.NameStack.IsEmpty);
+      Assert.IsTrue(interpreter.BooleanStack.IsEmpty);
+      Assert.IsTrue(interpreter.FloatStack.IsEmpty);
     }
 
@@ -54,12 +54,12 @@
     [TestCategory("ExampleTest")]
     public void Example4() {
-      this.interpreter.Run("( 5 CODE.QUOTE ( INTEGER.DUP INTEGER.+ ) CODE.DO )");
-
-      Assert.AreEqual(10, this.interpreter.IntegerStack.Top);
-      Assert.IsTrue(this.interpreter.CodeStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.ExecStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.NameStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.BooleanStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.FloatStack.IsEmpty);
+      interpreter.Run("( 5 CODE.QUOTE ( INTEGER.DUP INTEGER.+ ) CODE.DO )");
+
+      Assert.AreEqual(10, interpreter.IntegerStack.Top);
+      Assert.IsTrue(interpreter.CodeStack.IsEmpty);
+      Assert.IsTrue(interpreter.ExecStack.IsEmpty);
+      Assert.IsTrue(interpreter.NameStack.IsEmpty);
+      Assert.IsTrue(interpreter.BooleanStack.IsEmpty);
+      Assert.IsTrue(interpreter.FloatStack.IsEmpty);
     }
 
@@ -68,12 +68,12 @@
     [TestCategory("ExampleTest")]
     public void Example5() {
-      this.interpreter.Run("( DOUBLE CODE.QUOTE ( INTEGER.DUP INTEGER.+ ) CODE.DEFINE 5 DOUBLE )");
-
-      Assert.AreEqual(10, this.interpreter.IntegerStack.Top);
-      Assert.IsTrue(this.interpreter.CodeStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.ExecStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.NameStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.BooleanStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.FloatStack.IsEmpty);
+      interpreter.Run("( DOUBLE CODE.QUOTE ( INTEGER.DUP INTEGER.+ ) CODE.DEFINE 5 DOUBLE )");
+
+      Assert.AreEqual(10, interpreter.IntegerStack.Top);
+      Assert.IsTrue(interpreter.CodeStack.IsEmpty);
+      Assert.IsTrue(interpreter.ExecStack.IsEmpty);
+      Assert.IsTrue(interpreter.NameStack.IsEmpty);
+      Assert.IsTrue(interpreter.BooleanStack.IsEmpty);
+      Assert.IsTrue(interpreter.FloatStack.IsEmpty);
     }
 
@@ -82,12 +82,12 @@
     [TestCategory("ExampleTest")]
     public void Example6() {
-      this.interpreter.Run("( CODE.QUOTE ( INTEGER.DUP INTEGER.+ ) DOUBLE CODE.DEFINE 5 DOUBLE )");
-
-      Assert.AreEqual(10, this.interpreter.IntegerStack.Top);
-      Assert.IsTrue(this.interpreter.CodeStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.ExecStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.NameStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.BooleanStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.FloatStack.IsEmpty);
+      interpreter.Run("( CODE.QUOTE ( INTEGER.DUP INTEGER.+ ) DOUBLE CODE.DEFINE 5 DOUBLE )");
+
+      Assert.AreEqual(10, interpreter.IntegerStack.Top);
+      Assert.IsTrue(interpreter.CodeStack.IsEmpty);
+      Assert.IsTrue(interpreter.ExecStack.IsEmpty);
+      Assert.IsTrue(interpreter.NameStack.IsEmpty);
+      Assert.IsTrue(interpreter.BooleanStack.IsEmpty);
+      Assert.IsTrue(interpreter.FloatStack.IsEmpty);
     }
 
@@ -96,12 +96,12 @@
     [TestCategory("ExampleTest")]
     public void Example7() {
-      this.interpreter.Run("( DOUBLE EXEC.DEFINE ( INTEGER.DUP INTEGER.+ ) 5 DOUBLE )");
-
-      Assert.AreEqual(10, this.interpreter.IntegerStack.Top);
-      Assert.IsTrue(this.interpreter.CodeStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.ExecStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.NameStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.BooleanStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.FloatStack.IsEmpty);
+      interpreter.Run("( DOUBLE EXEC.DEFINE ( INTEGER.DUP INTEGER.+ ) 5 DOUBLE )");
+
+      Assert.AreEqual(10, interpreter.IntegerStack.Top);
+      Assert.IsTrue(interpreter.CodeStack.IsEmpty);
+      Assert.IsTrue(interpreter.ExecStack.IsEmpty);
+      Assert.IsTrue(interpreter.NameStack.IsEmpty);
+      Assert.IsTrue(interpreter.BooleanStack.IsEmpty);
+      Assert.IsTrue(interpreter.FloatStack.IsEmpty);
     }
 
@@ -110,17 +110,17 @@
     [TestCategory("ExampleTest")]
     public void Example8() {
-      this.configuration.TopLevelPushCode = true;
-
-      this.interpreter.IntegerStack.Push(5);
-      this.interpreter.Run(@"( CODE.QUOTE ( INTEGER.POP 1 )
+      configuration.TopLevelPushCode = true;
+
+      interpreter.IntegerStack.Push(5);
+      interpreter.Run(@"( CODE.QUOTE ( INTEGER.POP 1 )
                                            CODE.QUOTE ( CODE.DUP INTEGER.DUP 1 INTEGER.- CODE.DO INTEGER.* )
                                            INTEGER.DUP 2 INTEGER.< CODE.IF )");
 
-      Assert.AreEqual(120, this.interpreter.IntegerStack.Top);
-      Assert.IsTrue(this.interpreter.CodeStack.Count == 1);
-      Assert.IsTrue(this.interpreter.ExecStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.NameStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.BooleanStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.FloatStack.IsEmpty);
+      Assert.AreEqual(120, interpreter.IntegerStack.Top);
+      Assert.IsTrue(interpreter.CodeStack.Count == 1);
+      Assert.IsTrue(interpreter.ExecStack.IsEmpty);
+      Assert.IsTrue(interpreter.NameStack.IsEmpty);
+      Assert.IsTrue(interpreter.BooleanStack.IsEmpty);
+      Assert.IsTrue(interpreter.FloatStack.IsEmpty);
     }
 
@@ -129,13 +129,13 @@
     [TestCategory("ExampleTest")]
     public void Example9() {
-      this.interpreter.IntegerStack.Push(5);
-      this.interpreter.Run("( 1 INTEGER.MAX 1 EXEC.DO*RANGE INTEGER.* )");
-
-      Assert.AreEqual(120, this.interpreter.IntegerStack.Top);
-      Assert.IsTrue(this.interpreter.CodeStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.ExecStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.NameStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.BooleanStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.FloatStack.IsEmpty);
+      interpreter.IntegerStack.Push(5);
+      interpreter.Run("( 1 INTEGER.MAX 1 EXEC.DO*RANGE INTEGER.* )");
+
+      Assert.AreEqual(120, interpreter.IntegerStack.Top);
+      Assert.IsTrue(interpreter.CodeStack.IsEmpty);
+      Assert.IsTrue(interpreter.ExecStack.IsEmpty);
+      Assert.IsTrue(interpreter.NameStack.IsEmpty);
+      Assert.IsTrue(interpreter.BooleanStack.IsEmpty);
+      Assert.IsTrue(interpreter.FloatStack.IsEmpty);
     }
 
@@ -144,13 +144,13 @@
     [TestCategory("ExampleTest")]
     public void Example10() {
-      this.interpreter.IntegerStack.Push(5);
-      this.interpreter.Run("( 1 INTEGER.MAX 1 EXEC.DO*RANGE ( 2 INTEGER.* ) )");
-
-      Assert.AreEqual(2, this.interpreter.IntegerStack.Top);
-      Assert.IsTrue(this.interpreter.CodeStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.ExecStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.NameStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.BooleanStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.FloatStack.IsEmpty);
+      interpreter.IntegerStack.Push(5);
+      interpreter.Run("( 1 INTEGER.MAX 1 EXEC.DO*RANGE ( 2 INTEGER.* ) )");
+
+      Assert.AreEqual(2, interpreter.IntegerStack.Top);
+      Assert.IsTrue(interpreter.CodeStack.IsEmpty);
+      Assert.IsTrue(interpreter.ExecStack.IsEmpty);
+      Assert.IsTrue(interpreter.NameStack.IsEmpty);
+      Assert.IsTrue(interpreter.BooleanStack.IsEmpty);
+      Assert.IsTrue(interpreter.FloatStack.IsEmpty);
     }
 
@@ -161,27 +161,27 @@
       var program = PushParser.Parse("( INTEGER.= CODE.QUOTE FLOAT.* CODE.QUOTE FLOAT./ CODE.IF )");
 
-      this.interpreter.IntegerStack.Push(1, 1);
-      this.interpreter.FloatStack.Push(2.1, 0.7);
-
-      this.interpreter.Run(program);
-
-      Assert.IsTrue(this.interpreter.IntegerStack.IsEmpty);
-      Assert.AreEqual(1.47, this.interpreter.FloatStack.Top, Delta);
-      Assert.IsTrue(this.interpreter.CodeStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.ExecStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.NameStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.BooleanStack.IsEmpty);
-
-      this.interpreter.Clear();
-      this.interpreter.IntegerStack.Push(1, 2);
-      this.interpreter.FloatStack.Push(2.1, 0.7);
-      this.interpreter.Run(program);
-
-      Assert.IsTrue(this.interpreter.IntegerStack.IsEmpty);
-      Assert.AreEqual(3d, this.interpreter.FloatStack.Top, Delta);
-      Assert.IsTrue(this.interpreter.CodeStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.ExecStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.NameStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.BooleanStack.IsEmpty);
+      interpreter.IntegerStack.Push(1, 1);
+      interpreter.FloatStack.Push(2.1, 0.7);
+
+      interpreter.Run(program);
+
+      Assert.IsTrue(interpreter.IntegerStack.IsEmpty);
+      Assert.AreEqual(1.47, interpreter.FloatStack.Top, Delta);
+      Assert.IsTrue(interpreter.CodeStack.IsEmpty);
+      Assert.IsTrue(interpreter.ExecStack.IsEmpty);
+      Assert.IsTrue(interpreter.NameStack.IsEmpty);
+      Assert.IsTrue(interpreter.BooleanStack.IsEmpty);
+
+      interpreter.Clear();
+      interpreter.IntegerStack.Push(1, 2);
+      interpreter.FloatStack.Push(2.1, 0.7);
+      interpreter.Run(program);
+
+      Assert.IsTrue(interpreter.IntegerStack.IsEmpty);
+      Assert.AreEqual(3d, interpreter.FloatStack.Top, Delta);
+      Assert.IsTrue(interpreter.CodeStack.IsEmpty);
+      Assert.IsTrue(interpreter.ExecStack.IsEmpty);
+      Assert.IsTrue(interpreter.NameStack.IsEmpty);
+      Assert.IsTrue(interpreter.BooleanStack.IsEmpty);
     }
 
@@ -192,27 +192,27 @@
       var program = PushParser.Parse("( INTEGER.= EXEC.IF FLOAT.* FLOAT./ )");
 
-      this.interpreter.IntegerStack.Push(1, 1);
-      this.interpreter.FloatStack.Push(2.1, 0.7);
-
-      this.interpreter.Run(program);
-
-      Assert.IsTrue(this.interpreter.IntegerStack.IsEmpty);
-      Assert.AreEqual(1.47, this.interpreter.FloatStack.Top, Delta);
-      Assert.IsTrue(this.interpreter.CodeStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.ExecStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.NameStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.BooleanStack.IsEmpty);
-
-      this.interpreter.Clear();
-      this.interpreter.IntegerStack.Push(1, 2);
-      this.interpreter.FloatStack.Push(2.1, 0.7);
-      this.interpreter.Run(program);
-
-      Assert.IsTrue(this.interpreter.IntegerStack.IsEmpty);
-      Assert.AreEqual(3d, this.interpreter.FloatStack.Top, Delta);
-      Assert.IsTrue(this.interpreter.CodeStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.ExecStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.NameStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.BooleanStack.IsEmpty);
+      interpreter.IntegerStack.Push(1, 1);
+      interpreter.FloatStack.Push(2.1, 0.7);
+
+      interpreter.Run(program);
+
+      Assert.IsTrue(interpreter.IntegerStack.IsEmpty);
+      Assert.AreEqual(1.47, interpreter.FloatStack.Top, Delta);
+      Assert.IsTrue(interpreter.CodeStack.IsEmpty);
+      Assert.IsTrue(interpreter.ExecStack.IsEmpty);
+      Assert.IsTrue(interpreter.NameStack.IsEmpty);
+      Assert.IsTrue(interpreter.BooleanStack.IsEmpty);
+
+      interpreter.Clear();
+      interpreter.IntegerStack.Push(1, 2);
+      interpreter.FloatStack.Push(2.1, 0.7);
+      interpreter.Run(program);
+
+      Assert.IsTrue(interpreter.IntegerStack.IsEmpty);
+      Assert.AreEqual(3d, interpreter.FloatStack.Top, Delta);
+      Assert.IsTrue(interpreter.CodeStack.IsEmpty);
+      Assert.IsTrue(interpreter.ExecStack.IsEmpty);
+      Assert.IsTrue(interpreter.NameStack.IsEmpty);
+      Assert.IsTrue(interpreter.BooleanStack.IsEmpty);
     }
 
@@ -221,13 +221,13 @@
     [TestCategory("ExampleTest")]
     public void Example13() {
-      this.interpreter.IntegerStack.Push(5);
-      this.interpreter.Run("( EXEC.Y ( ( FALSE 2 INTEGER.* ) EXEC.IF ( ) EXEC.POP ) )");
-
-      Assert.AreEqual(10, this.interpreter.IntegerStack.Top);
-      Assert.IsTrue(this.interpreter.CodeStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.ExecStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.NameStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.BooleanStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.FloatStack.IsEmpty);
+      interpreter.IntegerStack.Push(5);
+      interpreter.Run("( EXEC.Y ( ( FALSE 2 INTEGER.* ) EXEC.IF ( ) EXEC.POP ) )");
+
+      Assert.AreEqual(10, interpreter.IntegerStack.Top);
+      Assert.IsTrue(interpreter.CodeStack.IsEmpty);
+      Assert.IsTrue(interpreter.ExecStack.IsEmpty);
+      Assert.IsTrue(interpreter.NameStack.IsEmpty);
+      Assert.IsTrue(interpreter.BooleanStack.IsEmpty);
+      Assert.IsTrue(interpreter.FloatStack.IsEmpty);
     }
 
@@ -236,13 +236,13 @@
     [TestCategory("ExampleTest")]
     public void Example14() {
-      this.interpreter.IntegerStack.Push(5);
-      this.interpreter.Run("( EXEC.Y ( ( 2 INTEGER.* INTEGER.DUP 1000 INTEGER.< ) EXEC.IF ( ) EXEC.POP ) )");
-
-      Assert.AreEqual(1280, this.interpreter.IntegerStack.Top);
-      Assert.IsTrue(this.interpreter.CodeStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.ExecStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.NameStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.BooleanStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.FloatStack.IsEmpty);
+      interpreter.IntegerStack.Push(5);
+      interpreter.Run("( EXEC.Y ( ( 2 INTEGER.* INTEGER.DUP 1000 INTEGER.< ) EXEC.IF ( ) EXEC.POP ) )");
+
+      Assert.AreEqual(1280, interpreter.IntegerStack.Top);
+      Assert.IsTrue(interpreter.CodeStack.IsEmpty);
+      Assert.IsTrue(interpreter.ExecStack.IsEmpty);
+      Assert.IsTrue(interpreter.NameStack.IsEmpty);
+      Assert.IsTrue(interpreter.BooleanStack.IsEmpty);
+      Assert.IsTrue(interpreter.FloatStack.IsEmpty);
     }
 
@@ -251,7 +251,7 @@
     [TestCategory("ExampleTest")]
     public void Example15() {
-      this.interpreter.IntegerStack.Push(10);
-      this.interpreter.FloatStack.Push(2);
-      this.interpreter.Run(@"( ARG FLOAT.DEFINE
+      interpreter.IntegerStack.Push(10);
+      interpreter.FloatStack.Push(2);
+      interpreter.Run(@"( ARG FLOAT.DEFINE
                                      EXEC.Y (
                                        ARG FLOAT.*
@@ -262,10 +262,10 @@
                                    )");
 
-      Assert.AreEqual(1024, this.interpreter.FloatStack.Top, Delta);
-      Assert.AreEqual(1, this.interpreter.IntegerStack.Top);
-      Assert.IsTrue(this.interpreter.CodeStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.ExecStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.NameStack.IsEmpty);
-      Assert.IsTrue(this.interpreter.BooleanStack.IsEmpty);
+      Assert.AreEqual(1024, interpreter.FloatStack.Top, Delta);
+      Assert.AreEqual(1, interpreter.IntegerStack.Top);
+      Assert.IsTrue(interpreter.CodeStack.IsEmpty);
+      Assert.IsTrue(interpreter.ExecStack.IsEmpty);
+      Assert.IsTrue(interpreter.NameStack.IsEmpty);
+      Assert.IsTrue(interpreter.BooleanStack.IsEmpty);
     }
 
@@ -276,8 +276,8 @@
       var list = PushParser.Parse("( A B C )");
 
-      this.interpreter.CodeStack.Push(list);
-      this.interpreter.Run("( CODE.DUP 0 CODE.INSERT )");
-
-      var id = this.interpreter.CodeStack.Top.GetHashCode();
+      interpreter.CodeStack.Push(list);
+      interpreter.Run("( CODE.DUP 0 CODE.INSERT )");
+
+      var id = interpreter.CodeStack.Top.GetHashCode();
 
       if (id == default(int)) Assert.Fail();
Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/ExecExpressionTests.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/ExecExpressionTests.cs	(revision 14907)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Tests/Interpreter/Expressions/ExecExpressionTests.cs	(revision 14908)
@@ -20,11 +20,11 @@
       get
       {
-        return this.interpreter.ExecStack;
+        return interpreter.ExecStack;
       }
     }
 
     protected override void Test(Expression expression) {
-      this.interpreter.Run(expression, true);
-      this.interpreter.Step();
+      interpreter.Run(expression, true);
+      interpreter.Step();
     }
 
@@ -34,9 +34,9 @@
     [TestCategory("ExecExpressionTest")]
     public void TestIfTrue() {
-      this.interpreter.BooleanStack.Push(true);
-      this.interpreter.Run("( EXEC.IF WAHR FALSCH )");
+      interpreter.BooleanStack.Push(true);
+      interpreter.Run("( EXEC.IF WAHR FALSCH )");
 
-      Assert.AreEqual("WAHR", this.interpreter.NameStack.Top);
-      this.TestStackCounts(nameStack: 1);
+      Assert.AreEqual("WAHR", interpreter.NameStack.Top);
+      TestStackCounts(nameStack: 1);
     }
 
@@ -46,9 +46,9 @@
     [TestCategory("ExecExpressionTest")]
     public void TestIfFalse() {
-      this.interpreter.BooleanStack.Push(false);
-      this.interpreter.Run("( EXEC.IF WAHR FALSCH )");
+      interpreter.BooleanStack.Push(false);
+      interpreter.Run("( EXEC.IF WAHR FALSCH )");
 
-      Assert.AreEqual("FALSCH", this.interpreter.NameStack.Top);
-      this.TestStackCounts(nameStack: 1);
+      Assert.AreEqual("FALSCH", interpreter.NameStack.Top);
+      TestStackCounts(nameStack: 1);
     }
 
@@ -80,11 +80,11 @@
       var result = PushParser.Parse("( B C )");
 
-      this.interpreter.ExecStack.Push(third, second, first);
-      this.Test(new ExecSExpression());
+      interpreter.ExecStack.Push(third, second, first);
+      Test(new ExecSExpression());
 
-      Assert.AreEqual(result, this.interpreter.ExecStack[2]);
-      Assert.AreEqual(third, this.interpreter.ExecStack[1]);
-      Assert.AreEqual(first, this.interpreter.ExecStack.Top);
-      this.TestStackCounts(3);
+      Assert.AreEqual(result, interpreter.ExecStack[2]);
+      Assert.AreEqual(third, interpreter.ExecStack[1]);
+      Assert.AreEqual(first, interpreter.ExecStack.Top);
+      TestStackCounts(3);
     }
 
@@ -97,10 +97,10 @@
       var result = PushParser.Parse("( EXEC.Y A )");
 
-      this.interpreter.ExecStack.Push(first);
-      this.Test(new ExecYExpression());
+      interpreter.ExecStack.Push(first);
+      Test(new ExecYExpression());
 
-      Assert.AreEqual(first, this.interpreter.ExecStack.Top);
-      Assert.AreEqual(result, this.interpreter.ExecStack[1]);
-      this.TestStackCounts(2);
+      Assert.AreEqual(first, interpreter.ExecStack.Top);
+      Assert.AreEqual(result, interpreter.ExecStack[1]);
+      TestStackCounts(2);
     }
 
@@ -110,9 +110,9 @@
     [TestCategory("ExecExpressionTest")]
     public void TestNestedDoRange() {
-      this.interpreter.Run(
+      interpreter.Run(
         "( 0 2 EXEC.DO*RANGE ( 1 INTEGER.+ 0 3 EXEC.DO*RANGE ( 1 INTEGER.+ INTEGER.* ) INTEGER.+ )");
 
-      Assert.AreEqual(144, this.interpreter.IntegerStack.Top);
-      this.TestStackCounts(integerStack: 1);
+      Assert.AreEqual(144, interpreter.IntegerStack.Top);
+      TestStackCounts(integerStack: 1);
     }
 
@@ -122,9 +122,9 @@
     [TestCategory("ExecExpressionTest")]
     public void TestNestedDoCount() {
-      this.interpreter.Run(
+      interpreter.Run(
         "( 2 EXEC.DO*COUNT ( 1 INTEGER.+ 3 EXEC.DO*COUNT ( 1 INTEGER.+ INTEGER.* ) INTEGER.+ )");
 
-      Assert.AreEqual(144, this.interpreter.IntegerStack.Top);
-      this.TestStackCounts(integerStack: 1);
+      Assert.AreEqual(144, interpreter.IntegerStack.Top);
+      TestStackCounts(integerStack: 1);
     }
 
@@ -134,8 +134,8 @@
     [TestCategory("ExecExpressionTest")]
     public void TestNestedDoTimes() {
-      this.interpreter.Run("( 3 EXEC.DO*TIMES ( 2 3 EXEC.DO*TIMES ( 2 INTEGER.* ) INTEGER.+ )");
+      interpreter.Run("( 3 EXEC.DO*TIMES ( 2 3 EXEC.DO*TIMES ( 2 INTEGER.* ) INTEGER.+ )");
 
-      Assert.AreEqual(128, this.interpreter.IntegerStack.Top);
-      this.TestStackCounts(integerStack: 1);
+      Assert.AreEqual(128, interpreter.IntegerStack.Top);
+      TestStackCounts(integerStack: 1);
     }
 
@@ -153,5 +153,5 @@
 
     protected override void CheckOtherStacksAreEmpty() {
-      this.TestStackCounts(null);
+      TestStackCounts(null);
     }
   }
